import 'dart:async';

import 'models/models.dart';

abstract class DetallesRepository {
  Future<void> addNewDetalle(Detalle detalle);

  Future<void> deleteDetalle(Detalle detalle);

  Stream<List<Detalle>> detalles();

  Future<void> updateDetalle(Detalle detalle);
}
